package com.fjhx.customer.service.xiaoman;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanUpdateInfoVO;

public interface XiaomanApiService {

    /**
     * 初始化所有客户列表
     * @author hj
     * @date 2024/4/8 22:20
     */
    void initAllList();


    boolean setNxWithExpiration(String key, String value, long expireTime);

    String getCustomerDetail(Long companyId);


    void updateList();

    @DSTransactional
    void getSelectorData();

    void updateXiaomanData(XiaomanUpdateInfoVO xiaomanUpdateInfoVO);

    void dealCustomerTagDict(String label,String key);
}
